Talkr AI
API ReferenceKnowledge BaseCollections

List Collections

List every knowledge base collection for the organization, with document counts

The organization's Default collection (auto-created on first upload) is always listed first.

GET
/api/v1/knowledge-base/collections

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/knowledge-base/collections"
{  "collections": [    {      "collection_uuid": "string",      "name": "string",      "description": "string",      "is_default": true,      "document_count": 0,      "created_at": "2019-08-24T14:15:22Z"    }  ]}